/* SimpleClient.c -*/ 

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define SERV_PORT	9999
#define MAXLINE		1024

int main()
{
  int		       sockfd, n;
  int	               recvMsgSize;
  char  	       recvline[MAXLINE + 1];
  struct sockaddr_in   servaddr;
  char buf[80];


  if ((sockfd = socket(PF_INET, SOCK_STREAM, 0)) < 0) { /* crea la socket */
    printf("errore in socket\n");
    exit(1);
  }    

  memset((char *)&servaddr, 0, sizeof(servaddr));	/* azzera servaddr */
  servaddr.sin_family = AF_INET;	   /* assegna il tipo di indirizzo */
  servaddr.sin_port   = htons(SERV_PORT);  /* assegna la porta del server */
  servaddr.sin_addr.s_addr   =inet_addr("127.0.0.1");  /* indirizzo IP server*/

  /* apre la connessione con il server */
  if (connect(sockfd, (struct sockaddr *) &servaddr, sizeof(servaddr)) < 0) {
    printf("errore in connect\n");
    exit(1);
  }    
  printf("client: connected to server\n");
  strcpy(buf,"stringa di eco");  /* null padded*/
  if (send(sockfd, buf, sizeof(buf), 0) !=  sizeof(buf))
         printf("send() error");
  printf("client sent to server: %s\n",buf); 
  if ((recvMsgSize = recv(sockfd, buf,sizeof(buf), 0)) < 0)
	   	printf("recv() failed");
  printf("client received from server: %s\n" ,buf);
		
		
  if (recvMsgSize < 0)  {
    printf("errore in read\n");
    exit(1);
  }    

  exit(0);
}
